var samples__tutorials =
[
    [ "Novice Guide", "samples__novice_guide.html", [
      [ "Modeling with OCCT: Key differences", "samples__novice_guide.html#diffs", null ],
      [ "Understanding the principles", "samples__novice_guide.html#basics", null ],
      [ "Additional assistance", "samples__novice_guide.html#helps", null ]
    ] ],
    [ "Draw: Demo Scripts", "samples__draw_scripts.html", [
      [ "Experimenting with Draw Test Harness", "samples__draw_scripts.html#autotoc_md27", null ],
      [ "Running Draw", "samples__draw_scripts.html#autotoc_md28", null ]
    ] ],
    [ "Modeling: Bottle Tutorial", "occt__tutorial.html", [
      [ "Overview", "occt__tutorial.html#sec1", [
        [ "Prerequisites", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_1", null ],
        [ "The Model", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_2", null ],
        [ "Model Specifications", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_3", null ]
      ] ],
      [ "Building the Profile", "occt__tutorial.html#sec2", [
        [ "Defining Support Points", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_1", null ],
        [ "Profile: Defining the Geometry", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_2", null ],
        [ "Profile: Defining the Topology", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_3", null ],
        [ "Profile: Completing the Profile", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_4", null ]
      ] ],
      [ "Building the Body", "occt__tutorial.html#sec3", [
        [ "Prism the Profile", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_1", null ],
        [ "Applying Fillets", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_2", null ],
        [ "Adding the Neck", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_3", null ],
        [ "Creating a Hollowed Solid", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_4", null ]
      ] ],
      [ "Building the Threading", "occt__tutorial.html#sec4", [
        [ "Creating Surfaces", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_1", null ],
        [ "Defining 2D Curves", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_2", null ],
        [ "Building Edges and Wires", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_3", null ],
        [ "Creating Threading", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_4", null ]
      ] ],
      [ "Building the Resulting Compound", "occt__tutorial.html#sec5", null ],
      [ "Appendix", "occt__tutorial.html#sec6", null ]
    ] ],
    [ "OCAF: Usage Tutorial", "samples__ocaf.html", [
      [ "Getting  Started", "samples__ocaf.html#autotoc_md7", null ],
      [ "An example of OCAF usage", "samples__ocaf.html#autotoc_md8", [
        [ "Resource File", "samples__ocaf.html#autotoc_md9", null ],
        [ "Plugin File", "samples__ocaf.html#autotoc_md10", null ]
      ] ],
      [ "Implementation of Attribute Transformation in a HXX file", "samples__ocaf.html#autotoc_md11", null ],
      [ "Implementation of Attribute Transformation in a CPP file", "samples__ocaf.html#autotoc_md12", null ],
      [ "Implementation of typical actions with standard OCAF attributes.", "samples__ocaf.html#autotoc_md13", [
        [ "TDataStd_Sample.cxx", "samples__ocaf.html#autotoc_md14", null ],
        [ "TDocStd_Sample.cxx", "samples__ocaf.html#autotoc_md15", null ],
        [ "TPrsStd_Sample.cxx", "samples__ocaf.html#autotoc_md16", null ],
        [ "TNaming_Sample.cxx", "samples__ocaf.html#autotoc_md17", null ]
      ] ]
    ] ],
    [ "OCAF: Function Mechanism", "samples__ocaf_func.html", [
      [ "Step1: Data Tree", "samples__ocaf_func.html#autotoc_md18", null ],
      [ "Step 2: Interfaces", "samples__ocaf_func.html#autotoc_md19", [
        [ "Creation of the nail", "samples__ocaf_func.html#autotoc_md20", null ],
        [ "Computation", "samples__ocaf_func.html#autotoc_md21", null ],
        [ "Visualization", "samples__ocaf_func.html#autotoc_md22", null ],
        [ "Removal of the nail", "samples__ocaf_func.html#autotoc_md23", null ]
      ] ],
      [ "Step 3: Functions", "samples__ocaf_func.html#autotoc_md24", [
        [ "Example 1: iteration and execution of functions.", "samples__ocaf_func.html#autotoc_md25", null ],
        [ "Example 2: Cylinder function driver", "samples__ocaf_func.html#autotoc_md26", null ]
      ] ]
    ] ]
];